### Function

# Qmi message_tlv_write_string

since: 1.12

#### Declaration [src]

    gboolean
    qmi_message_tlv_write_string (
      QmiMessage* self,
      guint8 n_size_prefix_bytes,
      const gchar* in,
      gssize in_length,
      GError** error
    )

#### Description [src]

Appends a string to the TLV being built.

Fixed-sized strings should give `n_size_prefix_bytes` equal to 0.

Available since: 1.12

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`n_size_prefix_bytes`

  Type: `guint8`

  Number of bytes to use in the size prefix.

`in`

  Type: `const gchar*`

  String to write.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`in_length`

  Type: `gssize`

  Length of `in`, or -1 if `in` is NUL-terminated.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the string is successfully added, otherwise `FALSE` is returned and `error` is set.